Subject: Re: bug#12620: Parallel tests vs fast tests (and beyond)

From: Jack Kelly <[email-masked]>
Date: Fri, 12 Oct 2012 08:12:59 +1100

On Thu, Oct 11, 2012 at 6:53 AM, Reuben Thomas <[email-masked]> wrote:
> This whole problem is an instance of a more general problem, of which
> another example is parallel make: for best performance, it should
> probably batch up calls to gcc, for example, so that multiple source
> files are compiled by each invocation.

We had a discussion along these lines when refactoring elisp
compilation: in the past it was all done in one big batch. Now it's
done with an emacs invocation per .el file. The result of that
discussion was that while you slow down single core machines, the new
way of doing things fits make's model much better: instead of fiddling
around with stamp files, the Makefile just has a suffix rule.

IMHO, your point is valid, but to do it safely would require a tool
smarter than make.

-- Jack